Subject: Re: bug#62875: 28.2; Crash on MacOS/M1 with treesitter enabled

From: Daniel Martín <[email-masked]>
Date: Sat, 22 Apr 2023 16:22:38 +0200

Yuan Fu <[email-masked]> writes:

> Drew Moseley <[email-masked]> writes:
>
>>> Could you share the backtrace/crash log you mentioned earlier? That’ll help us determine what was going on.
>>>
>>> Yuan
>>
>> Sure. Here you go. Let me know if I can do anything else to help here.
>>
>> Drew
>
> Thanks, to be honest I can’t really tell what’s going on
> (JavaScriptCore??), but I’m sure someone does. CC’ing Alan and Eli. I
> hope you are not terribly busy right now.
>
> Yuan
>
>> -------------------------------------
>> Translated Report (Full Report Below)
>> -------------------------------------
>>
>> Process:               Emacs-arm64-11 [5471]
>> Path: /Applications/Emacs.app/Contents/MacOS/Emacs-arm64-11
>> Identifier:            Emacs-arm64-11
>> Version:               ???
>> Code Type:             ARM-64 (Native)
>> Parent Process:        bash [945]
>> Responsible:           iTerm2 [893]
>> User ID:               501
>>
>> Date/Time:             2023-04-15 13:29:15.6117 -0400
>> OS Version:            macOS 13.3.1 (22E261)
>> Report Version:        12
>> Anonymous UUID:        5CE83BD5-CC71-E533-F239-51CBD84FAD4A
>>
>> Sleep/Wake UUID:       2E6FF26E-A02B-4C19-99BB-9008260C4767
>>
>> Time Awake Since Boot: 8600 seconds
>> Time Since Wake:       5593 seconds
>>
>> System Integrity Protection: enabled
>>
>> Crashed Thread:        0  Dispatch queue: com.apple.main-thread
>>
>> Exception Type:        EXC_BREAKPOINT (SIGABRT)
>> Exception Codes:       0x0000000000000001, 0x00000001a861d560
>>
>> Kernel Triage:
>> VM - (arg = 0x0) pmap_enter retried due to resource shortage
>> VM - (arg = 0x0) pmap_enter retried due to resource shortage
>> VM - (arg = 0x0) pmap_enter retried due to resource shortage
>> VM - (arg = 0x0) pmap_enter retried due to resource shortage
>>
>>
>> Thread 0 Crashed::  Dispatch queue: com.apple.main-thread

This stack trace is similar to the one in Bug#62831.
(Control+Command+D, described in the original recipe to reproduce the
problem, is another way on macOS to perform a three-finger tap.)